package com.qaup.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qaup.common.annotation.Excel;
import com.qaup.common.core.domain.BaseEntity;

/**
 * 驾驶员信息对象 sys_driver_info
 * 
 * @author qaup
 * @date 2025-06-30
 */
public class SysDriverInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 驾驶证类型 */
    @Excel(name = "驾驶证类型")
    private String licenseType;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

    /** 备注 */
    private String remark;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 用户头像 */
    private String avatar;

    /** 账号状态（0正常 1停用） */
    @Excel(name = "账号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }


    public void setLicenseType(String licenseType) 
    {
        this.licenseType = licenseType;
    }

    public String getLicenseType() 
    {
        return licenseType;
    }

    public void setCreateBy(String createBy) 
    {
        this.createBy = createBy;
    }
    
    public String getCreateBy() 
    {
        return createBy;
    }
    
    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }
    
    public Date getCreateTime()
    {
        return createTime;
    }

    public void setUpdateBy(String updateBy)
    {
        this.updateBy = updateBy;
    }
    
    public String getUpdateBy()
    {
        return updateBy;
    }
    
    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
    
    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setRemark(String remark)
    {
        this.remark = remark;
    }
    
    public String getRemark()
    {
        return remark;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }
    
    public String getUserName()
    {
        return userName;
    }

    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }
    
    public String getPhonenumber()
    {
        return phonenumber;
    }

    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }
    
    public String getAvatar()
    {
        return avatar;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }
    
    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("licenseType", getLicenseType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("userName", getUserName())
            .append("phonenumber", getPhonenumber())
            .append("avatar", getAvatar())
            .append("status", getStatus())
            .toString();
    }
}
